Bug 15093 - item type groups not saving
Summary: item type groups not saving
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10937
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 18:21 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15093: Load/show saved item type group and hideinopac (2.30 KB, patch)
2015-10-30 19:36 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15093: Load/show saved item type group and hideinopac (2.37 KB, patch)
2015-10-30 19:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 15093: Load/show saved item type group and hideinopac (2.43 KB, patch)
2015-11-01 14:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-10-30 18:21:57 UTC
See here: http://screencast.com/t/qKx78oxQ

When I add an item type to a group it doesn't seem save.
Comment 1 Bernardo Gonzalez Kriegel 2015-10-30 19:36:24 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-10-30 19:48:08 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-01 14:06:48 UTC
Created attachment 44272 [details] [review]
[PASSED QA] Bug 15093: Load/show saved item type group and hideinopac

This patch adds loading of hideinopac and searchgroup
when showing/editing itemtypes

To test:
1) Put some values in ITEMTYPCAT auth value
2) Edit an item type, select a value for
search category & check 'Hide in OPAC'
Save
3) Results do no show on list of item types
4) Edit same item type, values are default/empty
5) Apply the patch
6) Edit again, change again, save
Now values shows in list
7) Edit again, values are now correct

Values were saved on db, but not loaded from it
How this happen?

Side note: searching for searchcategory I found

installer/data/mysql/kohastructure.sql:  searchcategory varchar(80) default NULL, -- Group this item type with others w
installer/data/mysql/updatedatabase.pl:            ADD searchcategory VARCHAR(20) DEFAULT NULL

Its varchar(80) in kohastructure and varchar(20) in updatedatabase

We need more eyes :)

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-01 20:13:29 UTC
Patch pushed to master.

Thanks Bernardo!